// Smooth scrolling for overview links
document.addEventListener("DOMContentLoaded", function() {
  document.querySelectorAll('#overview a').forEach(function(anchor) {
      anchor.addEventListener('click', function(e) {
          e.preventDefault();
          document.querySelector(this.getAttribute('href')).scrollIntoView({
              behavior: 'smooth'
          });
      });
  });
});

// Add smooth scrolling
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
        e.preventDefault();
        document.querySelector(this.getAttribute('href')).scrollIntoView({
            behavior: 'smooth'
        });
    });
});

document.addEventListener('DOMContentLoaded', function () {
    const imageBoxes = document.querySelectorAll('.image-box');
  
    function checkScroll() {
      const triggerBottom = window.innerHeight * 0.8;
  
      imageBoxes.forEach((box, index) => {
        const boxTop = box.getBoundingClientRect().top;
  
        if (boxTop < triggerBottom) {
          setTimeout(() => {
            box.classList.add('show');
          }, index * 200); // Delay each image by 200ms
        }
      });
    }
  
    window.addEventListener('scroll', checkScroll);
  });
  